  DEF VAR iDays                     AS INTEGER   NO-UNDO.
  DEF VAR cExts                     AS CHARACTER NO-UNDO.

  FIND aa-edi-control WHERE
       aa-edi-control.controlkode = "EDI_STORAGEDAYS"
    EXCLUSIVE-LOCK NO-ERROR.
  IF AVAILABLE aa-edi-control
  THEN DO:
    ASSIGN iDays = INTEGER(aa-edi-control.lijst).
    DELETE aa-edi-control.
  END.
  ELSE ASSIGN iDays = 30.

  FIND aa-edi-control WHERE
       aa-edi-control.controlkode = "CLEAN_TEMP_EXT"
    EXCLUSIVE-LOCK NO-ERROR.
  IF AVAILABLE aa-edi-control
  THEN DO:
    ASSIGN cExts = aa-edi-control.lijst.
    DELETE aa-edi-control.
  END.
  ELSE ASSIGN cExts = "hdr,ucf,rsp,vbs,log,edi,int,001,pdf,txt,out,rdy,ftp".

  FOR EACH aa-edi-scheduler
    EXCLUSIVE-LOCK:
    ASSIGN aa-edi-scheduler.delete_log_days   = iDays
           aa-edi-scheduler.delete_temp_exts  = cExts.
  END.

